pimcore:
    security:
        # the encoder factory as defined in services.yml
        encoder_factories:
            Pimcore\Model\DataObject\User: app.security.password_encoder_factory

security:
    providers:
        # we use a custom user provider which loads users from the User class
        # the user provider is defined as service in services.yml

        app_provider:
            id: app.security.user_provider

    firewalls:
        app_userfw:
             # for dev env
            pattern:   ^/
            # for test or prod env
            # host: ^tching\.be
            anonymous: ~
            provider: app_provider
            form_login:
                login_path: 'login'
                check_path: 'login'
            logout:
                path:   'logout'
                target: 'login'

                # optional: to keep logins of other firewalls (like admin)
                invalidate_session: false
            logout_on_user_change: true

    # ROLE_ADMIN inherits ROLE_USER (is allowed everything a user is allowed)
    role_hierarchy:
        ROLE_CUSTOMER: [ROLE_USER]
